# PostMysteryEncounterPhase | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class PostMysteryEncounterPhase

Will handle (in order):

- MysteryEncounter.onPostOptionSelect logic (based on an option that was selected)
- Showing any outro dialogue messages
- Cleanup of any leftover intro visuals
- Queuing of the next wave

#### Hierarchy (View Summary)

- Phase
  - PostMysteryEncounterPhase

- Defined in src/phases/mystery-encounter-phases.ts:583

##### Index

### Constructors

constructor

### Properties

onPostOptionSelect?

### Methods

continueEncounter
end
start

## Constructors

### constructor

- new PostMysteryEncounterPhase(): PostMysteryEncounterPhase

  #### Returns PostMysteryEncounterPhase

  Overrides Phase.constructor

  - Defined in src/phases/mystery-encounter-phases.ts:587

## Properties

### `Optional` onPostOptionSelect

onPostOptionSelect?: OptionPhaseCallback

- Defined in src/phases/mystery-encounter-phases.ts:585

## Methods

### continueEncounter

- continueEncounter(): void

  Queues `NewBattlePhase`, plays outro dialogue and ends phase

  #### Returns void

  - Defined in src/phases/mystery-encounter-phases.ts:614

### end

- end(): void

  #### Returns void

  Inherited from Phase.end

  - Defined in src/phase.ts:6

### start

- start(): void

  Runs MysteryEncounter.onPostOptionSelect then continues encounter

  #### Returns void

  Overrides Phase.start

  - Defined in src/phases/mystery-encounter-phases.ts:595